[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TGraphicControl.Destroy

Destructor for the class instance.

## Declaration

Source position: controls.pp line 2461

`public destructor TGraphicControl.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. It ensures that resources allocated for the Canvas property are freed. It calls the inherited destructor prior to exiting from the method.

## See also

TGraphicControl.Canvas |  | A clipped window into the parent Canvas.